package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

public class V10_7_To_V10_8
		implements siprp.update.Update
{
	
	public V10_7_To_V10_8()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "relatorio de higiene e seguranca: insercao de valores qualitativos"
		                    };
	}
	
	public double getStartVersion()
	{
		return 10.7;
	}
	
	public double getEndVersion()
	{
		return 10.8;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
				"insert into hs_relatorio_risco_valor_qualitativo(description) " +
				"values('Controlado'); " +
				"insert into hs_relatorio_risco_valor_qualitativo(description) " +
				"values('Incontrolado'); " +
				"insert into hs_relatorio_risco_valor_qualitativo(description)" +
				"values('Indeterminado'); "
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
